> ## Documentation Index
> Fetch the complete documentation index at: https://docs.switchagents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> These docs moved from docs.flintai.dev to docs.switchagents.ai. Use docs.switchagents.ai for every link and request.
> To search these docs from an AI tool, connect the MCP server at https://docs.switchagents.ai/mcp. The page index is at https://docs.switchagents.ai/llms.txt.

# Update an evaluation

> Replace an existing evaluation definition. Built-in evaluations cannot be updated.



## OpenAPI

````yaml /switch-trust/api-reference/openapi.json put /eval/evaluations/tenants/{tenant_id}/workspaces/{workspace_id}/{evaluation_id}
openapi: 3.0.3
info:
  contact: {}
  description: Switch Trust API
  license:
    name: Switch AI
    url: https://www.sandboxaq.com/legal/eula
  title: Switch Trust API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /eval/evaluations/tenants/{tenant_id}/workspaces/{workspace_id}/{evaluation_id}:
    put:
      tags:
        - eval
      summary: Update an evaluation
      description: >-
        Replace an existing evaluation definition. Built-in evaluations cannot
        be updated.
      operationId: UpdateEvaluation
      parameters:
        - description: Tenant ID
          in: path
          name: tenant_id
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspace_id
          required: true
          schema:
            type: string
        - description: Evaluation ID (UUID)
          in: path
          name: evaluation_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/eval.Evaluation'
        description: Updated evaluation definition
        required: true
        x-originalParamName: body
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/eval.EvaluationRecord'
          description: Updated evaluation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Conflict (built-in evaluation)
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    eval.Evaluation:
      properties:
        approach:
          enum:
            - probe
            - metric
          type: string
        config:
          type: object
        description:
          type: string
        name:
          type: string
        tags:
          type: object
        type:
          type: string
      type: object
    eval.EvaluationRecord:
      properties:
        approach:
          enum:
            - probe
            - metric
          type: string
        config:
          type: object
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        is_builtin:
          type: boolean
        name:
          type: string
        num_prompts:
          type: integer
        tags:
          type: object
        type:
          type: string
        updated_at:
          type: string
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````